net.minecraft.client.model

## Class ModelChicken

- java.lang.Object
- - net.minecraft.client.model.ModelBase
  - - net.minecraft.client.model.ModelChicken

-     public class ModelChicken
      extends ModelBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ModelRenderer` | `bill`
    `ModelRenderer` | `body`
    `ModelRenderer` | `chin`
    `ModelRenderer` | `head`
    `ModelRenderer` | `leftLeg`
    `ModelRenderer` | `leftWing`
    `ModelRenderer` | `rightLeg`
    `ModelRenderer` | `rightWing`

    - ### Fields inherited from class net.minecraft.client.model.ModelBase

      `boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelChicken()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `render(Entity par1Entity, float par2, float par3, float par4, float par5, float par6, float par7)` Sets the models various rotation angles then renders the model.
    `void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)` Sets the model's various rotation angles.

    - ### Methods inherited from class net.minecraft.client.model.ModelBase

      `getRandomModelBox, getTextureOffset, setLivingAnimations`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### head

          public ModelRenderer head

    - #### body

          public ModelRenderer body

    - #### rightLeg

          public ModelRenderer rightLeg

    - #### leftLeg

          public ModelRenderer leftLeg

    - #### rightWing

          public ModelRenderer rightWing

    - #### leftWing

          public ModelRenderer leftWing

    - #### bill

          public ModelRenderer bill

    - #### chin

          public ModelRenderer chin

  - ### Constructor Detail

    - #### ModelChicken

          public ModelChicken()

  - ### Method Detail

    - #### render

          public void render(Entity par1Entity,
                    float par2,
                    float par3,
                    float par4,
                    float par5,
                    float par6,
                    float par7)

      Sets the models various rotation angles then renders the model.
      Overrides:
        `render` in class `ModelBase`

    - #### setRotationAngles

          public void setRotationAngles(float par1,
                               float par2,
                               float par3,
                               float par4,
                               float par5,
                               float par6,
                               Entity par7Entity)

      Sets the model's various rotation angles. For bipeds, par1 and par2 are used for animating the movement of arms and legs, where par1 represents the time(so that arms and legs swing back and forth) and par2 represents how "far" arms and legs can swing at most.
      Overrides:
        `setRotationAngles` in class `ModelBase`